Page MenuHomePhabricator

[LoongArch] Expand FSIN/FCOS/FSINCOS/FPOW/FREM
ClosedPublic

Authored by gonglingqin on Sep 25 2022, 11:28 PM.

Diff Detail

Event Timeline

gonglingqin created this revision.Sep 25 2022, 11:28 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 25 2022, 11:28 PM
gonglingqin requested review of this revision.Sep 25 2022, 11:28 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 25 2022, 11:28 PM
xen0n added inline comments.Sep 25 2022, 11:32 PM
llvm/test/CodeGen/LoongArch/fp-expand.ll
8–10

Do you mean float for these f32 intrinsics instead?

gonglingqin added inline comments.Sep 25 2022, 11:37 PM
llvm/test/CodeGen/LoongArch/fp-expand.ll
8–10

Yes, thank you for checking, I will modify it.

Fix function declarations in test cases.

xen0n accepted this revision.Sep 26 2022, 5:16 AM
This revision is now accepted and ready to land.Sep 26 2022, 5:16 AM
xry111 accepted this revision.Sep 26 2022, 5:30 AM

Straightforward enough.

This revision was landed with ongoing or failed builds.Sep 27 2022, 6:44 PM
This revision was automatically updated to reflect the committed changes.